      subroutine overlpcopy(n1,n2,a,s)

      implicit real*8(a-h,o-z)

      dimension a(*),s(n1,*)

      data zero/0.0d0/

      nn=0

      do 1001 i=1,n2
      do 1001 j=1,i
      nn=nn+1
 1001 s(j,i)=a(nn)

      return 
      end
